> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-downloads/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-downloads/resources/product-resources/end-of-life-product-documentation/os-detailed-path-network/os-detailed-path-network-technical-specification/gml-overview.md).

# GML overview

## Schema overview and location <a href="#bookmark58" id="bookmark58"></a>

XML schemas are used to define and validate the format and content of the Geography Markup Language (GML). The GML v3.2.1 specification provides a set of schemas that define the GML feature constructs and geometric types. These are designed to be used as a basis for building application-specific schemas, which define the data content.

The ‘OS Detailed Path Network’ schema document defines the `http://namespaces.os.uk/networks/detailedPathNetwork/1.0` Namespace.

These schemas make use of XSDs (XML schema definitions) produced by the W3C; these [XSDs are](http://www.w3.org/XML/1998/namespace.html) [available from the W3C website](http://www.w3.org/XML/1998/namespace.html).

The application schema uses the following XML namespaces, for which definitions are available in the table below:

#### *The XML namespaces used by the application schema and their definitions.*

<table><thead><tr><th>Prefix</th><th width="268">Namespace identifier</th><th>Definition available at</th></tr></thead><tbody><tr><td>gml</td><td><code>http://www.opengis.net/gml</code></td><td><a href="http://schemas.opengis.net/gml/3.2.1/gml.xsd">http://schemas.opengis.net/gml/3.2.1/gml.xsd</a></td></tr><tr><td>Xsi</td><td><code>http://www.w3.org/2001/XMLSchema–instance</code></td><td>Built into XML, see <a href="http://www.w3.org/TR/xmlschema-1/">http://www.w3.org/TR/xmlschema-1/</a></td></tr><tr><td>xlink</td><td><code>http://www.w3.org/1999/xlink</code></td><td><a href="http://www.w3.org/1999/xlink.xsd">http://www.w3.org/1999/xlink.xsd</a></td></tr></tbody></table>

### Simple Features Profile – Level 1 <a href="#bookmark59" id="bookmark59"></a>

GML is designed to support a wide variety of capabilities, ranging from simple contextual mapping, such as OS Open Map, to products that include complex geometric property types or even spatial and temporal topology.

[The Simple Features Profile of GML 3.2.1](https://portal.ogc.org/modules/admin/license_agreement.php?suppressHeaders=0\&access_license_id=3\&target=http%3A//portal.opengeospatial.org/files/%3fartifact_id%3D15201) defines a restricted subset of GML, allowing scope for greater interoperability.

This product conforms to Simple Features Profile – Level 1.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.os.uk/os-downloads/resources/product-resources/end-of-life-product-documentation/os-detailed-path-network/os-detailed-path-network-technical-specification/gml-overview.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
